Main Page Widgets Namespaces Book

# Atk::AttributeTraits Struct Reference

List of all members.

## Public Types
typedef Atk::Attribute | CppType
typedef const AtkAttribute* | CType
typedef AtkAttribute* | CTypeNonConst
## Static Public Member Functions
CType | to_c_type (CType item)
CType | to_c_type (const CppType& item)
CppType | to_cpp_type (CType item)
void | release_c_type (CType item)

## Member Typedef Documentation

typedef Atk::Attribute Atk::AttributeTraits::CppType

typedef const AtkAttribute* Atk::AttributeTraits::CType

typedef AtkAttribute* Atk::AttributeTraits::CTypeNonConst

## Member Function Documentation

void Atk::AttributeTraits::release_c_type | ( | CType | item | ) | `[inline, static]`

CType Atk::AttributeTraits::to_c_type | ( | const CppType& | item | ) | `[inline, static]`

CType Atk::AttributeTraits::to_c_type | ( | CType | item | ) | `[inline, static]`

CppType Atk::AttributeTraits::to_cpp_type | ( | CType | item | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- text.h